var UUID = /** @class */ (function () {
    function UUID() {
    }
    UUID.v4 = function () {
        return ('' + 1e7 + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, function (c) {
            var r = crypto.getRandomValues(new Uint8Array(1))[0];
            var n = parseInt(c, 10);
            return (n ^ (r & (15 >> (n / 4)))).toString(16);
        });
    };
    return UUID;
}());
export { UUID as U };
